GSMSENDSMS(8)

NAME
gsmsendsms - SMS message sender utility

SYNOPSIS
gsmsendsms [ -b baudrate ] [ --baudrate baudrate ] [ -c concatenatedID ] [ --concatenate concatenatedID ] [ -C service centre address ] [ --sca service centre address ] [ -d device ] [ --device device ] [ -h ] [ --help ] [ -I init string ] [ --init init string ] [ -r ] [ --requeststat ] [ -t ] [ --test ] [ -v ] [ --version ] [ -X ] [ --xonxoff ] phonenumber [ text ]

DESCRIPTION
gsmsendsms sends SMS short messages using an GSM mobile phone.

gsmsendsms attaches itself to the device given on the command line (usually an GSM modem) using the specified baudrate. If no device is given, the device /dev/mobilephone is used. If no baudrate is given, a default baud rate of 38400 is used.

gsmsendsms accepts a phone number (recipient address) and the short message text as parameters. The text may have a maximum length of 160 characters which is the maximum SMS message length. The GSM default alphabet is used for encoding. ASCII and Latin-1 characters that can not be encoded using the GSM default alphabet are converted to the GSM delta character (GSM code 16).

Error messages are printed to the standard error output. If the program terminates on error the error code 1 is returned.

OPTIONS

-b baudrate, --baudrate baudrate
    The baud rate to use.

-c concatenatedID, --concatenate concatenatedID
    If an ID is given, large SMSs are split into several, concatenated SMSs. All SMSs have the same ID and are numbered consecutively so that the receiving phone can assemble them in the correct order. IDs must be in the range 0..255. Not all receiving phones will support concatenated SMSs (and display them as separate SMSs), since all the numbering and ID information is carried in the user data header element at the beginning of the SMS user data. This information may show up as garbage in such phones.

-C service centre address, --sca service centre address
    Sets the service centre address to use for all SUBMIT SMSs (may not work with some phones).

-d device, --device device
    The device to which the GSM modem is connected. The default is /dev/mobilephone.

-h, --help
    Prints an option summary.

-I init string, --init init string
    Initialization string to send to the TA (default: "E0"). Note that the sequence "ATZ" is sent first.

-r, --requeststat
    Request status reports for sent SMS.

-t, --test
    If this option is given the text is converted to the GSM default alphabet and back to Latin-1. This option can be used to find out how ASCII or Latin-1 texts are converted to the GSM default alphabet. Characters that can not be converted to the GSM default alphabet are reported as ASCII code 172 (Latin-1 boolean "not") after this double conversion. No SMS messages are sent, a connection to a mobile phone is not established.

-v, --version
    Prints the program version.

-X, --xonxoff
    Uses software handshaking (XON/XOFF) for accessing the device.

EXAMPLES
The following two invocations of gsmsendsms each send the same SMS message to the number "1234":

gsmsendsms -d /dev/ttyS2 -b 19200  1234 "This is a test."
echo "This is a test." | gsmsendsms -d /dev/ttyS2 -b 19200  1234

FILES

/dev/mobilephone
    Default mobile phone device.

AUTHOR
Peter Hofmann <software@pxh.de>

BUGS
Report bugs to software@pxh.de. Include a complete, self-contained example that will allow the bug to be reproduced, and say which version of gsmsendsms you are using.

COPYRIGHT
Copyright © 1999 Peter Hofmann

gsmsendsms is free software; you can redistribute it and/or modify it under the terms of the GNU Library General Public License as published by the Free Software Foundation; either version 2, or (at your option) any later version.

gsmsendsms is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details.

You should have received a copy of the GNU Library General Public License along with gsmsendsms; see the file COPYING. If not, write to the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

SEE ALSO
gsminfo(7), gsmpb(1), gsmctl(1), gsmsmsd(8), gsmsmsstore(1).